# MatScatterSetVecScatter

sets that scatter that the matrix is to apply as its linear operator

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatScatterSetVecScatter(Mat mat,VecScatter scatter)

Collective on Mat

### Input Parameters

| mat | - the scatter matrix
| scatter | - the scatter context create with VecScatterCreate()

### See Also

MatCreateScatter(), MATSCATTER

Level:advanced
Location: src/mat/impls/scatter/mscatter.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages